Subject: Re: bug#77549: ELPA: Duplicate entries for GNU Poke?

From: Philip Kaludercic <[email-masked]>
Date: Thu, 10 Apr 2025 11:33:57 +0000

Yes, but is that an issue for you?

On 10 April 2025 10:44:57 CEST, "Jose E. Marchesi" <[email-masked]> wrote:
>
>> "Jose E. Marchesi" <[email-masked]> writes:
>>
>>>> "Jose E. Marchesi" <[email-masked]> writes:
>>>>
>>>>>> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
>>>>>> [[[ whether defending the US Constitution against all enemies,     ]]]
>>>>>> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>>>>>>
>>>>>>   > poke.el is an Emacs interface for poke.
>>>>>>
>>>>>>   > poke-mode.el is a mode to edit programs written in Poke, the programming
>>>>>>   > language implemented by poke.
>>>>>>
>>>>>> It makes sense now that you've explained it, but the simiarity will
>>>>>> surely cause confusion.  Can we adjust the names to make the
>>>>>> difference clear?  Of course, both names should mention Poke.
>>>>>> but they can differ more.
>>>>>>
>>>>>> Perhaps the interface to Poke should be called poke-interface or
>>>>>> subpoke.
>>>>>
>>>>> What about renaming poke-mode.el to poke-lang-mode.el?
>>>>
>>>> I have to admit that "-lang-mode" sounds off.  Is there a reason you
>>>> don't bundle poke-mode.el with the poke package?
>>>
>>> poke-mode.el is useful even if you don't use the Emacs interface to
>>> poke.
>>
>> But that is not inherently a reason to package both features in the same
>> package.  The user gets both the Poke interface and poke-mode in the
>> same package, but they don't have to use everything.
>
>That would require a multi-file package?
>
>
>>> I myself use the poke CLI primarily, and still use poke-mode.el all the
>>> time to write my .pk files.
>>>
>>> Then, what about to rename poke.el into something else.  Suggestions?

Sent from my phone